#include "CornerDetector.h"
#include <memory>

CornerDetector::CornerDetector( int maxCorners )
{
	_threshold = 25; // Default value
	_numDetectedCorners = 0;
	_detectedCorners = new int[2*maxCorners];
	_maxCorners = maxCorners;

	std::fill( _detectedCorners, _detectedCorners+2*maxCorners, 0 );
}